#!/usr/bin/env python

import io
import os
import re
import sys

#path = os.getcwd()
#print path

startpattern = """mod/public_WC/"""
imgFormats = ['jpg','jpeg','gif','png','mp4']

images = []

ifile = io.open(
    "mod_wlife.txt",
    mode='rt',
    encoding='utf-16'
)
text = ifile.read()
for match in re.finditer(r"mod/public_WC/.+?[.](gif|jpg|jpeg|png|mp4)", text, flags=re.U):
    imgfile = match.group().encode("utf-8")
    randmatch = re.search(r"'\s*[+]\s*rand\s*[(]\s*(\d+)\s*[,]\s*(\d+)\s*[)]\s*[+]\s*'", imgfile)
    if randmatch != None:
        for i in range(int(randmatch.group(1)), 1+int(randmatch.group(2))):
            images.append(re.sub(r"'\s*[+]\s*rand\s*[(].*?[)]\s*[+]\s*'", str(i), imgfile))
    else:
        images.append(imgfile)
        
ifile.close()

for image in images:
    if not re.search(r"[<$]", image) and not os.path.isfile(image):
        print "Image not found:", image

